Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 2633)
@@ -92,5 +92,5 @@
       USE oce         , zftu => ua   ! use ua as workspace
       USE oce         , zftv => va   ! use va as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zdkt => wrk_2d_1, zdk1t => wrk_2d_2   ! 2D workspace
       USE wrk_nemo, ONLY: zdit => wrk_3d_1, zdjt => wrk_3d_2, ztfw => wrk_3d_3   ! 3D workspace
@@ -114,6 +114,5 @@
       !!----------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(3, 1,2,3)) .OR. &
-          (.NOT. wrk_use(2, 1,2,3)) )THEN
+      IF( wrk_in_use(3, 1,2,3) .OR. wrk_in_use(2, 1,2,3) )THEN
           CALL ctl_stop('tra_ldf_iso : requested workspace array unavailable.')
           RETURN
@@ -295,6 +294,6 @@
       END DO
       !
-      IF( (.NOT. wrk_release(3, 1,2,3)) .OR.  &
-          (.NOT. wrk_release(2, 1,2,3)) )THEN
+      IF( wrk_not_released(3, 1,2,3) .OR.  &
+          wrk_not_released(2, 1,2,3) )THEN
           CALL ctl_stop('tra_ldf_iso : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90	(revision 2633)
@@ -88,5 +88,5 @@
       !! ** Action :   Update pta arrays with the before rotated diffusion
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE oce     , ONLY:   zftu => ua       , zftv => va            ! (ua,va) used as 3D workspace
       USE wrk_nemo, ONLY:   zdit => wrk_3d_1 , zdjt => wrk_3d_2 , ztfw => wrk_3d_3   ! 3D workspace
@@ -117,5 +117,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(3, 1,2,3) .OR. .NOT. wrk_use(2, 1) ) THEN
+      IF( wrk_in_use(3, 1,2,3) .OR. wrk_in_use(2, 1) ) THEN
          CALL ctl_stop('tra_ldf_iso_grif : requested workspace arrays unavailable.')   ;   RETURN
       ENDIF
@@ -347,5 +347,5 @@
       END DO
       !
-      IF( (.NOT. wrk_release(3, 1,2,3,4)) .OR. (.NOT. wrk_release(2, 1)))THEN
+      IF( wrk_not_released(3, 1,2,3,4) .OR. wrk_not_released(2, 1) )THEN
          CALL ctl_stop('tra_ldf_iso_grif : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90	(revision 2633)
@@ -55,5 +55,5 @@
       !! References : Madec, et al., 1991, JPO, 21, 9, 1349-1371.
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release, wrk_use_xz, wrk_release_xz
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, wrk_in_use_xz, wrk_not_released_xz
       USE wrk_nemo, ONLY: ztrdt => wrk_3d_1, ztrds => wrk_3d_2, zrhop => wrk_3d_3
       USE wrk_nemo, ONLY: zwx => wrk_xz_1, zwy => wrk_xz_2, zwz => wrk_xz_3
@@ -71,5 +71,5 @@
       ! Strictly 1 and 2 3D workspaces only needed if(l_trdtra) but it doesn't 
       ! cost us anything and makes code simpler.
-      IF( (.NOT. wrk_use(3, 1,2,3)) .OR. (.NOT. wrk_use_xz(1,2,3)) )THEN
+      IF( wrk_in_use(3, 1,2,3) .OR. wrk_in_use_xz(1,2,3) )THEN
          CALL ctl_stop('tra_npc: requested workspace arrays unavailable.')
          RETURN
@@ -217,5 +217,5 @@
       ENDIF
       !
-      IF( (.NOT. wrk_release(3, 1,2,3))  .OR. (.NOT. wrk_release_xz(1,2,3)))THEN
+      IF( wrk_not_released(3, 1,2,3)  .OR. wrk_not_released_xz(1,2,3) )THEN
          CALL ctl_stop('tra_npc: failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 2633)
@@ -90,5 +90,5 @@
       !!              Lengaigne et al. 2007, Clim. Dyn., V28, 5, 503-516.
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zekb => wrk_2d_1, zekg => wrk_2d_2, zekr => wrk_2d_3
       USE wrk_nemo, ONLY: ze0 => wrk_3d_1, ze1 => wrk_3d_2, ze2 => wrk_3d_3
@@ -106,5 +106,5 @@
       !!----------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(3, 1,2,3,4,5)) .OR. (.NOT. wrk_use(2, 1,2,3)) )THEN
+      IF( wrk_in_use(3, 1,2,3,4,5) .OR. wrk_in_use(2, 1,2,3) )THEN
          CALL ctl_stop('tra_qsr : requested workspace arrays unavailable.')
          RETURN
@@ -290,6 +290,6 @@
       IF(ln_ctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' qsr  - Ta: ', mask1=tmask, clinfo3='tra-ta' )
       !
-      IF( (.NOT. wrk_release(3, 1,2,3,4,5)) .OR. &
-          (.NOT. wrk_release(2, 1,2,3)) )THEN
+      IF( wrk_not_released(3, 1,2,3,4,5) .OR. &
+          wrk_not_released(2, 1,2,3) )THEN
          CALL ctl_stop('tra_qsr : failed to release workspace arrays.')
       END IF
@@ -315,5 +315,5 @@
       !! Reference : Jerlov, N. G., 1968 Optical Oceanography, Elsevier, 194pp.
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zekb => wrk_2d_1, zekg => wrk_2d_2, zekr => wrk_2d_3
       USE wrk_nemo, ONLY: ze0 => wrk_3d_1, ze1 => wrk_3d_2, ze2 => wrk_3d_3
@@ -333,5 +333,5 @@
       !!----------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(2, 1,2,3)) .OR. (.NOT. wrk_use(3, 1,2,3,4,5)) )THEN
+      IF( wrk_in_use(2, 1,2,3) .OR. wrk_in_use(3, 1,2,3,4,5) )THEN
          CALL ctl_stop('tra_qsr_init: requested workspace arrays unavailable.')
          RETURN
@@ -510,6 +510,6 @@
       ENDIF
       !
-      IF( (.NOT. wrk_release(2, 1,2,3)) .OR.   &
-          (.NOT. wrk_release(3, 1,2,3,4,5)) )THEN
+      IF( wrk_not_released(2, 1,2,3) .OR.   &
+          wrk_not_released(3, 1,2,3,4,5) )THEN
          CALL ctl_stop('tra_qsr_init: failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 2633)
@@ -73,5 +73,5 @@
       !! ** Action : - after tracer fields pta
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zwx => wrk_3d_1, zwy => wrk_3d_2     ! 3D workspace
       !!
@@ -89,5 +89,5 @@
       !!---------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1,2))THEN
+      IF(wrk_in_use(3, 1,2))THEN
          CALL ctl_stop('tra_zdf_exp : requested workspace arrays unavailable.')
          RETURN
@@ -165,5 +165,5 @@
       END DO
       !
-      IF(.NOT. wrk_release(3, 1,2))THEN
+      IF(wrk_not_released(3, 1,2))THEN
          CALL ctl_stop('tra_zdf_exp : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 2633)
@@ -91,5 +91,5 @@
       USE oce    , ONLY :   zwd   => ua   ! ua used as workspace
       USE oce    , ONLY :   zws   => va   ! va  -          -
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zwi => wrk_3d_1, zwt => wrk_3d_2  ! workspace arrays
       !! 
@@ -106,5 +106,5 @@
       !!---------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1,2))THEN
+      IF(wrk_in_use(3, 1,2))THEN
          CALL ctl_stop('tra_zdf_imp : requested workspace arrays unavailable.')
          RETURN
@@ -308,5 +308,5 @@
       END DO
       !
-      IF(.NOT. wrk_release(3, 1,2))THEN
+      IF(wrk_not_released(3, 1,2))THEN
          CALL ctl_stop('tra_zdf_imp : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/zpshde.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/zpshde.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/zpshde.F90	(revision 2633)
@@ -80,5 +80,5 @@
       !!              - pgru, pgrv: horizontal gradient of rho (if present) at u- & v-points 
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zri => wrk_2d_1, zrj => wrk_2d_2   ! interpolated value of rd
       USE wrk_nemo, ONLY: zhi => wrk_2d_3, zhj => wrk_2d_4   ! depth of interpolation for eos2d
@@ -98,5 +98,5 @@
       !!----------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(2, 1,2,3,4)) .OR. (.NOT. wrk_use(3, 1,2)) )THEN
+      IF( wrk_in_use(2, 1,2,3,4) .OR. wrk_in_use(3, 1,2) )THEN
          CALL ctl_stop('zps_hde: requested workspace arrays unavailable.')
          RETURN
@@ -214,5 +214,5 @@
       END IF
       !
-      IF( (.NOT. wrk_release(2, 1,2,3,4)) .OR. (.NOT. wrk_release(3, 1,2)) )THEN
+      IF( wrk_not_released(2, 1,2,3,4) .OR. wrk_not_released(3, 1,2) )THEN
          CALL ctl_stop('zps_hde: failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdicp.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdicp.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdicp.F90	(revision 2633)
@@ -344,5 +344,5 @@
       !! ** Purpose :  write dynamic trends in ocean.output 
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zkepe => wrk_3d_1, zkx => wrk_3d_2, &
                           zky => wrk_3d_3, zkz => wrk_3d_4
@@ -353,5 +353,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1,2,3,4))THEN
+      IF(wrk_in_use(3, 1,2,3,4))THEN
          CALL ctl_stop('trd_dwr : requested workspace arrays unavailable.')
          RETURN
@@ -550,5 +550,5 @@
       ENDIF
       !
-      IF(.NOT. wrk_release(3, 1,2,3,4))THEN
+      IF(wrk_not_released(3, 1,2,3,4))THEN
          CALL ctl_stop('trd_dwr : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmld.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmld.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmld.F90	(revision 2633)
@@ -93,5 +93,5 @@
       !!            surface and the control surface is called "mixed-layer"
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zvlmsk => wrk_2d_1
       !
@@ -104,5 +104,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1) ) THEN
+      IF(wrk_in_use(2, 1) ) THEN
          CALL ctl_stop('trd_mld_zint : requested workspace arrays unavailable')   ;   RETURN
       ENDIF
@@ -195,5 +195,5 @@
       END SELECT
       !
-      IF(.NOT. wrk_release(2, 1) )   CALL ctl_stop('trd_mld_zint : failed to release workspace arrays')
+      IF(wrk_not_released(2, 1) )   CALL ctl_stop('trd_mld_zint : failed to release workspace arrays')
       !
    END SUBROUTINE trd_mld_zint
@@ -247,5 +247,5 @@
       !!       - See NEMO documentation (in preparation)
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztmltot => wrk_2d_1,  zsmltot => wrk_2d_2 ! dT/dt over the anlysis window (including Asselin)
       USE wrk_nemo, ONLY: ztmlres => wrk_2d_3,  zsmlres => wrk_2d_4 ! residual = dh/dt entrainment term
@@ -269,6 +269,6 @@
       
       ! Check that the workspace arrays are all OK to be used
-      IF( .NOT. wrk_use(2, 1,2,3,4,5,6,7,8,9,10,11,12,13,14)  .OR. &
-          .NOT. wrk_use(3, 1,2)                                 ) THEN
+      IF( wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10,11,12,13,14)  .OR. &
+          wrk_in_use(3, 1,2)                                 ) THEN
          CALL ctl_stop('trd_mld : requested workspace arrays unavailable')   ;   RETURN
       ELSE IF(jpltrd > jpk) THEN
@@ -740,6 +740,6 @@
       IF( lrst_oce )   CALL trd_mld_rst_write( kt ) 
 
-      IF( .NOT. wrk_release(2, 1,2,3,4,5,6,7,8,9,10,11,12,13,14)  .OR. &
-          .NOT. wrk_release(3, 1,2)                                )   &
+      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10,11,12,13,14)  .OR. &
+          wrk_not_released(3, 1,2)                                )   &
           CALL ctl_stop('trd_mld : failed to release workspace arrays.')
       !
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod.F90	(revision 2633)
@@ -51,5 +51,5 @@
       !!              integral constraints
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztswu => wrk_2d_1,  &
                           ztswv => wrk_2d_2,  &
@@ -68,5 +68,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.not. wrk_use(2, 1,2,3,4,5,6))THEN
+      IF(wrk_in_use(2, 1,2,3,4,5,6))THEN
          CALL ctl_warn('trd_mod: Requested workspace arrays already in use.')   ;   RETURN
       END IF
@@ -226,5 +226,5 @@
       ENDIF
       !
-      IF( .not. wrk_release(2, 1,2,3,4,5,6) )   CALL ctl_warn('trd_mod: Failed to release workspace arrays.')
+      IF( wrk_not_released(2, 1,2,3,4,5,6) )   CALL ctl_warn('trd_mod: Failed to release workspace arrays.')
       !
    END SUBROUTINE trd_mod
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdtra.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdtra.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdtra.F90	(revision 2633)
@@ -60,5 +60,5 @@
       !!        nn_ctls > 1  : use fixed level surface jk = nn_ctls
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztrds => wrk_3d_1
       INTEGER                         , INTENT(in)           ::  kt      ! time step
@@ -71,5 +71,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1) ) THEN
+      IF(wrk_in_use(3, 1) ) THEN
          CALL ctl_stop('trd_tra: requested workspace array unavailable.')   ;   RETURN
       ENDIF
@@ -136,5 +136,5 @@
       ENDIF
       !
-      IF(.NOT. wrk_release(3, 1) )   CALL ctl_stop('trd_tra: failed to release workspace array.')
+      IF(wrk_not_released(3, 1) )   CALL ctl_stop('trd_tra: failed to release workspace array.')
       !
    END SUBROUTINE trd_tra
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdvor.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdvor.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdvor.F90	(revision 2633)
@@ -108,5 +108,5 @@
       !!      trends output in netCDF format using ioipsl
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zudpvor => wrk_2d_1, &   ! total cmulative trends
                           zvdpvor => wrk_2d_2
@@ -120,5 +120,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1,2))THEN
+      IF(wrk_in_use(2, 1,2))THEN
          CALL ctl_stop('trd_vor_zint_2d : requested workspace arrays unavailable.')
          RETURN
@@ -172,5 +172,5 @@
       ENDIF
       !
-      IF(.NOT. wrk_release(2, 1,2))THEN
+      IF(wrk_not_released(2, 1,2))THEN
          CALL ctl_stop('trd_vor_zint_2d : failed to release workspace arrays.')
       END IF
@@ -206,5 +206,5 @@
       !!      trends output in netCDF format using ioipsl
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zubet   => wrk_2d_1,   zvbet => wrk_2d_2   ! Beta.V 
       USE wrk_nemo, ONLY: zudpvor => wrk_2d_3, zvdpvor => wrk_2d_4   ! total cmulative trends
@@ -217,5 +217,5 @@
       !!----------------------------------------------------------------------
      
-      IF(.NOT. wrk_use(2, 1,2,3,4))THEN
+      IF(wrk_in_use(2, 1,2,3,4))THEN
          CALL ctl_stop('trd_vor_zint_3d : requested workspace arrays unavailable.')
          RETURN
@@ -284,5 +284,5 @@
       ENDIF
       !
-      IF(.NOT. wrk_release(2, 1,2,3,4))THEN
+      IF(wrk_not_released(2, 1,2,3,4))THEN
          CALL ctl_stop('trd_vor_zint_3d : failed to release workspace arrays.')
       END IF
@@ -298,5 +298,5 @@
       !!               and make outputs (NetCDF or DIMG format)
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zun => wrk_2d_1, zvn => wrk_2d_2 ! 2D workspace
       !!
@@ -308,5 +308,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1,2))THEN
+      IF(wrk_in_use(2, 1,2))THEN
          CALL ctl_stop('trd_vor : requested workspace arrays unavailable.')
          RETURN
@@ -478,5 +478,5 @@
       IF( kt == nitend )   CALL histclo( nidvor )
       !
-      IF(.NOT. wrk_release(2, 1,2) )   CALL ctl_stop('trd_vor : failed to release workspace arrays')
+      IF(wrk_not_released(2, 1,2) )   CALL ctl_stop('trd_vor : failed to release workspace arrays')
       !
    END SUBROUTINE trd_vor
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 2633)
@@ -89,5 +89,5 @@
       !! References :   Merryfield et al., JPO, 29, 1124-1142, 1999.
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zmsks  => wrk_2d_1,  &
                           zmskf  => wrk_2d_2,  &
@@ -104,5 +104,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(2, 1,2,3,4,5) ) THEN
+      IF( wrk_in_use(2, 1,2,3,4,5) ) THEN
          CALL ctl_stop('zdf_ddm: Requested workspace arrays already in use.')   ;   RETURN
       END IF
@@ -198,5 +198,5 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(2, 1,2,3,4,5) )   CALL ctl_stop('zdf_ddm: Release of workspace arrays failed')
+      IF( wrk_not_released(2, 1,2,3,4,5) )   CALL ctl_stop('zdf_ddm: Release of workspace arrays failed')
       !
    END SUBROUTINE zdf_ddm
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 2633)
@@ -134,5 +134,5 @@
       USE oce,     z_elem_c  =>   ta   ! use ta as workspace
       USE oce,     psi       =>   sa   ! use sa as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zdep  => wrk_2d_1
       USE wrk_nemo, ONLY: zflxs => wrk_2d_2     ! Turbulence fluxed induced by internal waves 
@@ -153,5 +153,5 @@
       !!--------------------------------------------------------------------
 
-      IF(  .NOT. wrk_use(2, 1,2,3)  .OR.  .NOT. wrk_use(3, 1,2,3,4,5)  ) THEN
+      IF(  wrk_in_use(2, 1,2,3)  .OR.  wrk_in_use(3, 1,2,3,4,5)  ) THEN
          CALL ctl_stop('zdf_gls: requested workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -882,6 +882,6 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(2, 1,2,3)     .OR. &
-          .NOT. wrk_release(3, 1,2,3,4,5)  )   CALL ctl_stop('zdf_gls: failed to release workspace arrays')
+      IF( wrk_not_released(2, 1,2,3)     .OR. &
+          wrk_not_released(3, 1,2,3,4,5)  )   CALL ctl_stop('zdf_gls: failed to release workspace arrays')
       !
    END SUBROUTINE zdf_gls
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 2633)
@@ -214,5 +214,5 @@
       USE oce     , zdiffut => ta   ! temp. array for diffusivities use sa as workspace
 #endif
-      USE wrk_nemo, ONLY: wrk_use, wrk_release, wrk_use_xz, wrk_release_xz
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, wrk_in_use_xz, wrk_not_released_xz
       USE wrk_nemo, ONLY: zBo    => wrk_2d_1, &  ! Surface buoyancy forcing,
                           zBosol => wrk_2d_2, &  ! friction velocity
@@ -274,7 +274,7 @@
       !!--------------------------------------------------------------------
      
-      IF( .NOT. wrk_use(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14) .OR. &
-          .NOT. wrk_use(2, 1,2,3,4,5,6,7,8,9,10,11)          .OR. &
-          .NOT. wrk_use_xz(1,2,3)                              ) THEN
+      IF( wrk_in_use(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14) .OR. &
+          wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10,11)          .OR. &
+          wrk_in_use_xz(1,2,3)                              ) THEN
          CALL ctl_stop('zdf_kpp : requested workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -1234,7 +1234,7 @@
          ENDIF
 
-      IF( .NOT. wrk_release(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14) .OR. &
-          .NOT. wrk_release(2, 1,2,3,4,5,6,7,8,9,10,11)          .OR. &
-          .NOT. wrk_release_xz(1,2,3)  )   CALL ctl_stop('zdf_kpp : failed to release workspace arrays.')
+      IF( wrk_not_released(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14) .OR. &
+          wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10,11)          .OR. &
+          wrk_not_released_xz(1,2,3)  )   CALL ctl_stop('zdf_kpp : failed to release workspace arrays.')
       !
    END SUBROUTINE zdf_kpp
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 2633)
@@ -63,5 +63,5 @@
       !! ** Action  :   nmln, hmld, hmlp, hmlpt
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: iwrk_use, iwrk_release
+      USE wrk_nemo, ONLY: iwrk_in_use, iwrk_not_released
       USE wrk_nemo, ONLY: imld => iwrk_2d_1    ! 2D workspace
       !!
@@ -74,5 +74,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .NOT. iwrk_use(2,1) )THEN
+      IF( iwrk_in_use(2,1) )THEN
          CALL ctl_stop('zdf_mxl : requested workspace array unavailable.')   ;   RETURN
       END IF
@@ -112,5 +112,5 @@
       IF(ln_ctl)   CALL prt_ctl( tab2d_1=REAL(nmln,wp), clinfo1=' nmln : ', tab2d_2=hmlp, clinfo2=' hmlp : ', ovlap=1 )
       !
-      IF( .NOT. iwrk_release(2,1) )   CALL ctl_stop('zdf_mxl : failed to release workspace array')
+      IF( iwrk_not_released(2,1) )   CALL ctl_stop('zdf_mxl : failed to release workspace array')
       !
    END SUBROUTINE zdf_mxl
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 2633)
@@ -88,5 +88,5 @@
       !! References : Pacanowski & Philander 1981, JPO, 1441-1451.
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zwx => wrk_2d_1
       !!
@@ -97,5 +97,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1) ) THEN
+      IF(wrk_in_use(2, 1) ) THEN
          CALL ctl_stop('zdf_ric : requested workspace array unavailable')   ;   RETURN
       END IF
@@ -150,5 +150,5 @@
       CALL lbc_lnk( avmu, 'U', 1. )   ;   CALL lbc_lnk( avmv, 'V', 1. )
       !
-      IF(.NOT. wrk_release(2, 1) )   CALL ctl_stop('zdf_ric : failed to release workspace array')
+      IF(wrk_not_released(2, 1) )   CALL ctl_stop('zdf_ric : failed to release workspace array')
       !
    END SUBROUTINE zdf_ric
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 2633)
@@ -192,5 +192,5 @@
       USE oce,   zd_up  =>   va   ! use va as workspace
       USE oce,   zd_lw  =>   ta   ! use ta as workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release, iwrk_use, iwrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, iwrk_in_use, iwrk_not_released
       USE wrk_nemo, ONLY: imlc => iwrk_2d_1 ! 2D INTEGER workspace
       USE wrk_nemo, ONLY: zhlc => wrk_2d_1  ! 2D REAL workspace
@@ -211,7 +211,7 @@
       !!--------------------------------------------------------------------
       !
-      IF( .NOT. iwrk_use(2, 1) .OR. &
-          .NOT.  wrk_use(2, 1) .OR. &
-          .NOT.  wrk_use(3, 1)   )THEN
+      IF( iwrk_in_use(2, 1) .OR. &
+           wrk_in_use(2, 1) .OR. &
+           wrk_in_use(3, 1)   )THEN
          CALL ctl_stop('tke_tke : requested workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -430,7 +430,7 @@
       CALL lbc_lnk( en, 'W', 1. )      ! Lateral boundary conditions (sign unchanged)
       !
-      IF( .NOT. iwrk_release(2 ,1) .OR.   &
-          .NOT.  wrk_release(2, 1) .OR.   &
-          .NOT.  wrk_release(3, 1)  )   CALL ctl_stop( 'tke_tke : failed to release workspace arrays' )
+      IF( iwrk_not_released(2 ,1) .OR.   &
+           wrk_not_released(2, 1) .OR.   &
+           wrk_not_released(3, 1)  )   CALL ctl_stop( 'tke_tke : failed to release workspace arrays' )
       !
    END SUBROUTINE tke_tke
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 2633)
@@ -24,5 +24,5 @@
    USE in_out_manager  ! I/O manager
    USE iom             ! I/O Manager
-   USE wrk_nemo, ONLY: wrk_use, wrk_release
+   USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
 
    IMPLICIT NONE
@@ -111,5 +111,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1))THEN
+      IF(wrk_in_use(2, 1))THEN
          CALL ctl_stop('zdf_tmx : requested workspace array unavailable.')   ;   RETURN
       END IF
@@ -175,5 +175,5 @@
       IF(ln_ctl)   CALL prt_ctl(tab3d_1=zav_tide , clinfo1=' tmx - av_tide: ', tab3d_2=avt, clinfo2=' avt: ', ovlap=1, kdim=jpk)
       !
-      IF(.NOT. wrk_release(2, 1))THEN
+      IF(wrk_not_released(2, 1))THEN
          CALL ctl_stop('zdf_tmx : failed to release workspace array.')
       END IF
@@ -215,5 +215,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( (.NOT. wrk_use(2, 2,3,4,5)) .OR. (.NOT. wrk_use(3, 1,2,3,4,5)) )THEN
+      IF( wrk_in_use(2, 2,3,4,5) .OR. wrk_in_use(3, 1,2,3,4,5) )THEN
          CALL ctl_stop('tmx_itf : requested workspace arrays unavailable.')
          RETURN
@@ -303,6 +303,6 @@
       END DO
       !
-      IF( (.NOT. wrk_release(2, 2,3,4,5)) .OR. &
-          (.NOT. wrk_release(3, 1,2,3,4,5)) )THEN
+      IF( wrk_not_released(2, 2,3,4,5) .OR. &
+          wrk_not_released(3, 1,2,3,4,5) )THEN
          CALL ctl_stop('tmx_itf : failed to release workspace arrays.')
       END IF
@@ -361,5 +361,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(2, 1,2,3,4,5)  .OR.  .NOT. wrk_use(3, 1)  ) THEN
+      IF( wrk_in_use(2, 1,2,3,4,5)  .OR.  wrk_in_use(3, 1)  ) THEN
          CALL ctl_stop('zdf_tmx_init : requested workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -525,6 +525,6 @@
       ENDIF
       !
-      IF(.NOT. wrk_release(2, 1,2,3,4,5) .OR.   &
-         .NOT. wrk_release(3, 1)          )   CALL ctl_stop( 'zdf_tmx_init : failed to release workspace arrays' )
+      IF(wrk_not_released(2, 1,2,3,4,5) .OR.   &
+         wrk_not_released(3, 1)          )   CALL ctl_stop( 'zdf_tmx_init : failed to release workspace arrays' )
       !
    END SUBROUTINE zdf_tmx_init
